/*
 *  ALTerator - ALT Linux configuration project
 *
 *  Copyright (c) 2004,2005 ALT Linux Ltd.
 *  Copyright (c) 2004,2005 Stanislav Ievlev
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */
#ifndef QTLOOK_BUTTON_HH__
#define QTLOOK_BUTTON_HH__

#include <string>

#include <qpushbutton.h>

namespace qtlook
{
    class button:public QPushButton
    {
	Q_OBJECT
	public:
	    button(const std::string& id,const std::string& name,QWidget *parent);
	signals:
	    void clicked(const std::string&);
	protected slots:
	    void emit_clicked();
	private:
	    std::string id_;
    };
}


#endif
