/*
 *  ALTerator - ALT Linux configuration project
 *
 *  Copyright (c) 2004,2005 ALT Linux Ltd.
 *  Copyright (c) 2004,2005 Stanislav Ievlev
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */
#ifndef QTLOOK_LINEEDIT_HH__
#define QTLOOK_LINEEDIT_HH__

#include <string>

#include <qlineedit.h>

namespace qtlook
{
    class line_edit:public QLineEdit
    {
	Q_OBJECT
	public:
	    line_edit(const std::string& id,const std::string& text,QWidget *parent);
	signals:
	    void changed(const std::string&);
	protected slots:
	    void emit_changed(const QString&);
	private:
	    std::string id_;
    };
}


#endif
